Subject: bug#11617: Don't use 'register'; these days it's not needed.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jun 2012 17:24:24 +0300

> Date: Sat, 02 Jun 2012 23:06:11 -0700
> From: Paul Eggert <[email-masked]>
> 
> Attached is a patch to remove 'register' from the mainline
> Emacs source code.

FWIW, I see no compelling reason for this change, even after I've read
the explanations.  This keyword is a cue to the compiler, so it in
general conveys non-trivial information.  If today's compilers mostly
ignore that, it doesn't mean this will always be the state of affairs.
However, by removing this, we lose those cues forever.

I guess I won't be convinced without seeing at least some data about
the disadvantages, and not just a few extreme examples with some
particular versions of some specific compilers.

But this isn't my call, so perhaps you don't need to convince me.